apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  labels:
    app.kubernetes.io/instance: vault
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: vault
  name: central-vault
spec:
  gateways:
  - global-gateway.istio-system.svc.cluster.local
  hosts:
  - vault.progressoft.dev
  http:
  - headers:
      request:
        add:
          x-forwarded-port: "443"
    match:
    - uri:
        prefix: /
    route:
    - destination:
        host: vault
        port:
          number: 8200
    corsPolicy:
      allowOrigins:
        - exact: "*"
      allowMethods:
        - POST
        - GET
        - PUT
        - DELETE
        - OPTIONS
      allowCredentials: true
      allowHeaders:
        - Content-Type
        - Authorization
      maxAge: "24h"

